%define upstream_name    Digest-MD4
%define upstream_version 1.9

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17

Summary:	Perl interface to the MD4 Algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  libdb5.3-devel
BuildRequires:  libgdbm-devel
BuildRequires:	perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The Digest-MD4 module allows you to use the MD4 Message Digest algorithm from
within Perl programs. The algorithm takes as input a message of arbitrary
length and produces as output a 128-bit "fingerprint" or "message digest" of
the input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README rfc1320.txt
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.900.0-17.mga8
+ Revision: 1594557
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.900.0-16.mga8
+ Revision: 1529450
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.900.0-15.mga8
+ Revision: 1433539
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.900.0-14.mga7
+ Revision: 1292819
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.900.0-13.mga7
+ Revision: 1249112
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.900.0-12.mga7
+ Revision: 1164081
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.900.0-11.mga7
+ Revision: 1148868
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.900.0-10.mga7
+ Revision: 1126682
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-9.mga6
+ Revision: 1025789
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.900.0-8.mga6
+ Revision: 957227
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.900.0-7.mga6
+ Revision: 843781
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-6.mga5
+ Revision: 747831
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.900.0-5.mga5
+ Revision: 735614
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-4.mga5
+ Revision: 684363
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.900.0-3.mga5
+ Revision: 631125
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.900.0-2.mga4
+ Revision: 537083
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.900.0-1.mga4
+ Revision: 486233
- update to 1.9

* Wed May 29 2013 jquelin <jquelin> 1.500.0-7.mga4
+ Revision: 431494
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-6.mga3
+ Revision: 365924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 1.500.0-5.mga3
+ Revision: 326453
- adding missing buildrequires:
- missing buildrequires

* Wed May 30 2012 jquelin <jquelin> 1.500.0-4.mga3
+ Revision: 250569
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.500.0-3.mga2
+ Revision: 104215
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.500.0-2.mga1
+ Revision: 30164
- mageia rebuild
- imported package perl-Digest-MD4


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-2mdv2011.0
+ Revision: 555243
- rebuild

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2010.1
+ Revision: 504812
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.5-7mdv2010.0
+ Revision: 430413
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.5-6mdv2009.0
+ Revision: 256683
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2008.1
+ Revision: 152065
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-3mdv2008.0
+ Revision: 86355
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-2mdv2007.0
- spec cleanup
- %%mkrel

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdk
- initial Mandriva package

